cutlass::TypeTraits< complex< float > > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef complex< float > | host_type
typedef complex< float > | device_type
typedef int64_t | integer_type
typedef uint64_t | unsigned_type

## Static Public Member Functions

static complex< float > | remove_negative_zero (complex< float > x)
static complex< float > | to_print (complex< float > x)
static device_type | to_device (complex< float > x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_C_32F

## Member Typedef Documentation

typedef complex<float> cutlass::TypeTraits< complex< float > >::device_type

typedef complex<float> cutlass::TypeTraits< complex< float > >::host_type

typedef int64_t cutlass::TypeTraits< complex< float > >::integer_type

typedef uint64_t cutlass::TypeTraits< complex< float > >::unsigned_type

## Member Function Documentation

static complex<float> cutlass::TypeTraits< complex< float > >::remove_negative_zero | ( | complex< float > | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< complex< float > >::to_device | ( | complex< float > | x | ) |

inlinestatic

static complex<float> cutlass::TypeTraits< complex< float > >::to_print | ( | complex< float > | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< complex< float > >::cublas_type = CUDA_C_32F

static

The documentation for this struct was generated from the following file:

- type_traits.h